Bug 501828 - Incorrect description for method listErrata for channel.software namespace.
Incorrect description for method listErrata for channel.software namespace.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
520
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-05-20 18:00 EDT by Victor Sira
Modified: 2009-09-10 15:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Sira 2009-05-20 18:00:51 EDT
Description of problem:

One of the methods for channel.software listErrata has an incorrect description ( 3rd one, which has start and end date for selection criteria ). It currently says: "Description:
Returns list of subscribed systems for the given channel label"

It should instead reflect the ability to select erratas given a time range.

Version-Release number of selected component (if applicable):

Found on Satellite 5.2.

How reproducible:

Always, install 5.2 and check:
https://<your sat server here>/rhn/apidoc/channel/software/ChannelSoftwareHandler.jsp#listErrata

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Clifford Perry 2009-05-21 09:56:42 EDT
Pretty certain we have already addressed this within the 5.3 Sat code base. Going to approve for Brad to review and hopefully confirm fixed to then just move to ON_QA. 

Cliff
Comment 2 Brad Buckingham 2009-05-21 10:45:42 EDT
Correct.  This appears to have already been addressed in Sat 5.3.  Below is the current API doc for channel.software.listErrata containing the start/end date:

Method: listErrata

Description:
List the errata applicable to a channel between startDate and endDate.

Parameters:

    * string sessionKey
    * string channelLabel - channel to query
    * dateTime.iso8601 startDate
    * dateTime.iso8601 endDate

Returns:

    * array:
          o struct - errata
                + int "id" - Errata ID.
                + string "date" - Date erratum was created.
                + string "advisory_synopsis" - Summary of the erratum.
                + string "advisory_type" - Type label such as Security, Bug Fix
                + string "advisory_name" - Name such as RHSA, etc

Moving to ON_QA.
Comment 3 Tomas Lestach 2009-08-25 06:08:01 EDT
Confirming Comment#2.

Stage validated -> RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 15:55:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.